Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class DefaultRangeIndicator

    java.lang.Object
      org.eclipse.jface.text.source.Annotation
          org.eclipse.ui.texteditor.DefaultRangeIndicator

All Implemented Interfaces:
  IAnnotationPresentation

    public class DefaultRangeIndicator

extends Annotation
implements IAnnotationPresentation

Specialized annotation to indicate a particular range of text lines.

This class may be instantiated; it is not intended to be subclassed. This class is instantiated automatically by `AbstractTextEditor`.

Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from class org.eclipse.jface.text.source.Annotation
`TYPE_UNKNOWN`

Fields inherited from interface org.eclipse.jface.text.source.IAnnotationPresentation
`DEFAULT_LAYER`

Constructor Summary
`DefaultRangeIndicator()` Creates a new range indicator.

Method Summary
`int` `getLayer()` Returns the annotations drawing layer.
`void` `paint(GC gc, Canvas canvas, Rectangle bounds)` Implement this method to draw a graphical representation of this annotation within the given bounds.

Methods inherited from class org.eclipse.jface.text.source.Annotation
`getText, getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRangeIndicator

    public DefaultRangeIndicator()

  Creates a new range indicator.

Method Detail

### paint

    public void paint(GC gc,
                      Canvas canvas,
                      Rectangle bounds)

  Description copied from interface: `IAnnotationPresentation`
  Implement this method to draw a graphical representation of this annotation within the given bounds.

  Note that this method is not used when drawing annotations on the editor's text widget. This is handled trough a `AnnotationPainter.IDrawingStrategy`.

  Specified by:
    `paint` in interface `IAnnotationPresentation`
  Parameters:
    `gc` - the drawing GC
    `canvas` - the canvas to draw on
    `bounds` - the bounds inside the canvas to draw on

### getLayer

    public int getLayer()

  Description copied from interface: `IAnnotationPresentation`
  Returns the annotations drawing layer.

  Specified by:
    `getLayer` in interface `IAnnotationPresentation`
  Returns:
    the annotations drawing layer

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.